org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ConstantTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ConstantTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ConstantTest.Traversals

- Enclosing class:
    ConstantTest

      public static class ConstantTest.Traversals
      extends ConstantTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ConstantTest

      `ConstantTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,String>` | `get_g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX()`
    `Traversal<Vertex,Integer>` | `get_g_V_constantX123X()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ConstantTest

      `g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX, g_V_constantX123X`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_constantX123X

          public Traversal<Vertex,Integer> get_g_V_constantX123X()

      Specified by:
        `get_g_V_constantX123X` in class `ConstantTest`

    - #### get_g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX

          public Traversal<Vertex,String> get_g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX()

      Specified by:
        `get_g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX` in class `ConstantTest`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.